org.wso2.carbon.webapp.mgt.session

## Class CarbonSessionReplicationMessage

- java.lang.Object
- - org.apache.axis2.clustering.ClusteringCommand
  - - org.apache.axis2.clustering.ClusteringMessage
    - - org.wso2.carbon.webapp.mgt.session.CarbonSessionReplicationMessage

- All Implemented Interfaces:
    Serializable

      public class CarbonSessionReplicationMessage
      extends org.apache.axis2.clustering.ClusteringMessage

  This is wrapper class which wraps tomcat's ClusterMessage in axis2's ClusteringMessage. Since we are using axis2's tribes clustering communication to send cluster messages, we have to wrap the tomcat cluster message, So that at receiving, side we can unwrap the massage and call the tomcat session manager to handle that received message.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CarbonSessionReplicationMessage()`
    `CarbonSessionReplicationMessage(int tenantId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.apache.axis2.context.ConfigurationContext mainConfigContext)`
    `org.apache.axis2.clustering.ClusteringCommand` | `getResponse()`
    `void` | `setSessionClusterMessage(org.apache.catalina.ha.ClusterMessage clusterMessage)`
    `void` | `setTenantId(int tenantId)`

    - ### Methods inherited from class org.apache.axis2.clustering.ClusteringMessage

      `equals, getTimestamp, getUuid, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CarbonSessionReplicationMessage

          public CarbonSessionReplicationMessage()

    - #### CarbonSessionReplicationMessage

          public CarbonSessionReplicationMessage(int tenantId)

  - ### Method Detail

    - #### setTenantId

          public void setTenantId(int tenantId)

    - #### setSessionClusterMessage

          public void setSessionClusterMessage(org.apache.catalina.ha.ClusterMessage clusterMessage)

    - #### getResponse

          public org.apache.axis2.clustering.ClusteringCommand getResponse()

      Specified by:
        `getResponse` in class `org.apache.axis2.clustering.ClusteringMessage`

    - #### execute

          public void execute(org.apache.axis2.context.ConfigurationContext mainConfigContext)
                       throws org.apache.axis2.clustering.ClusteringFault

      Specified by:
        `execute` in class `org.apache.axis2.clustering.ClusteringCommand`
      Throws:
        `org.apache.axis2.clustering.ClusteringFault`

Copyright © 2017 WSO2. All rights reserved.